Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document
Class FileDiagramModificationListener

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.ecore.util.EContentAdapter
              org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.DiagramModificationListener
                  org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.FileDiagramModificationListener

All Implemented Interfaces:
  Adapter, Adapter.Internal

public class FileDiagramModificationListener
extends DiagramModificationListener

Listener for modification events on a diagram. This listener is well suited for detecting save events.

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`FileDiagramModificationListener(FileDocumentProvider documentProvider, DiagramDocument document, IFileEditorInput input)` Constructs a modification listener which listens to modifications on a diagram and handles saving of files.

Method Summary
`boolean` `isAdapterForType(java.lang.Object type)`
`void` `notifyChanged(Notification notification)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.DiagramModificationListener
`getDiagramDocument, getEditingDomain, getTarget, setTarget, startListening, stopListening, unsetTarget`

Methods inherited from class org.eclipse.emf.ecore.util.EContentAdapter
`addAdapter, basicSetTarget, basicUnsetTarget, handleContainment, removeAdapter, resolve, selfAdapt, setTarget, setTarget, setTarget, unsetTarget, unsetTarget, unsetTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileDiagramModificationListener

    public FileDiagramModificationListener(FileDocumentProvider documentProvider,
                                           DiagramDocument document,
                                           IFileEditorInput input)

  Constructs a modification listener which listens to modifications on a diagram and handles saving of files.

Parameters:
  `documentProvider` - the FileDocumentProvider to handle the document being saved
  `document` - the DiagramDocument being saved
  `input` - the IFileEditorInput that contains the file being saved

Method Detail

### isAdapterForType

    public boolean isAdapterForType(java.lang.Object type)

  Specified by:
    `isAdapterForType` in interface `Adapter`
  Overrides:
    `isAdapterForType` in class `DiagramModificationListener`

### notifyChanged

    public void notifyChanged(Notification notification)

  Specified by:
    `notifyChanged` in interface `Adapter`
  Overrides:
    `notifyChanged` in class `DiagramModificationListener`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.